Intermittent browser/components/originattributes/test/browser/browser_firstPartyIsolation.js | leaked 1 docShell(s) until shutdown

REOPENED
Unassigned

Status

()

P5
normal
REOPENED
2 years ago
4 months ago

People

(Reporter: intermittent-bug-filer, Unassigned)

Tracking

({intermittent-failure, leave-open})

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [domsecurity-intermittent][retriggered][stockwell disabled])

Attachments

(1 attachment)

Assignee: nobody → allstars.chh
Priority: -- → P3
Whiteboard: [domsecurity-intermittent]
2 failures in 814 pushes (0.002 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 2

Platform breakdown:
* linux64: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345346&startday=2017-06-12&endday=2017-06-18&tree=all
1 failures in 1008 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345346&startday=2017-07-24&endday=2017-07-30&tree=all
Assignee: allstars.chh → nobody
1 failures in 901 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345346&startday=2017-08-07&endday=2017-08-13&tree=all
1 failures in 949 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345346&startday=2017-08-14&endday=2017-08-20&tree=all
1 failures in 908 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345346&startday=2017-08-21&endday=2017-08-27&tree=all
1 failures in 939 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345346&startday=2017-08-28&endday=2017-09-03&tree=all
Bulk priority update of open intermittent test failure bugs. 

P3 => P5

https://bugzilla.mozilla.org/show_bug.cgi?id=1381960
Priority: P3 → P5
1 failures in 943 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-beta: 1

Platform breakdown:
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345346&startday=2017-09-18&endday=2017-09-24&tree=all
3 failures in 824 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 2
* autoland: 1

Platform breakdown:
* windows7-32: 1
* linux32-stylo-disabled: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345346&startday=2017-10-02&endday=2017-10-08&tree=all
2 failures in 912 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 2

Platform breakdown:
* windows10-64-stylo-disabled: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345346&startday=2017-10-23&endday=2017-10-29&tree=all
1 failures in 857 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* try: 1

Platform breakdown:
* linux64-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345346&startday=2017-10-30&endday=2017-11-05&tree=all
2 failures in 762 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1
* autoland: 1

Platform breakdown:
* macosx64-stylo-disabled: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345346&startday=2017-11-13&endday=2017-11-19&tree=all
3 failures in 744 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 2
* mozilla-inbound: 1

Platform breakdown:
* linux64-stylo-disabled: 1
* linux64: 1
* linux32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345346&startday=2017-11-20&endday=2017-11-26&tree=all
3 failures in 792 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-release: 1
* mozilla-inbound: 1
* mozilla-central: 1

Platform breakdown:
* windows7-32: 1
* linux64-stylo-disabled: 1
* linux32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345346&startday=2017-11-27&endday=2017-12-03&tree=all
3 failures in 889 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 2
* mozilla-beta: 1

Platform breakdown:
* windows7-32: 1
* osx-10-10: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345346&startday=2017-12-04&endday=2017-12-10&tree=all
1 failures in 423 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345346&startday=2017-12-11&endday=2017-12-17&tree=all
2 failures in 590 pushes (0.003 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 1
* autoland: 1

Platform breakdown:
* windows7-32: 1
* linux64-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1345346&startday=2017-12-18&endday=2017-12-24&tree=all
https://wiki.mozilla.org/Bug_Triage#Intermittent_Test_Failure_Cleanup
Status: NEW → RESOLVED
Last Resolved: 9 months ago
Resolution: --- → INCOMPLETE
Recent log:

https://treeherder.mozilla.org/logviewer.html#?job_id=185027437&repo=mozilla-inbound&lineNumber=14015

15:05:33     INFO - TEST-START | Shutdown
15:05:33     INFO - Browser Chrome Test Summary
15:05:33     INFO - Passed:  620
15:05:33     INFO - Failed:  0
15:05:33     INFO - Todo:    0
15:05:33     INFO - Mode:    e10s
15:05:33     INFO - *** End BrowserChrome Test Results ***
15:05:33     INFO - GECKO(2092) | [Child 2094, Main Thread] WARNING: nsAppShell::Exit() called redundantly: file /builds/worker/workspace/build/src/widget/cocoa/nsAppShell.mm, line 758
15:05:33     INFO - GECKO(2092) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
15:05:33     INFO - GECKO(2092) | [Child 2094, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 794
15:05:33     INFO - GECKO(2092) | --DOCSHELL 0x113e95800 == 0 [pid = 2094] [id = {26bb086f-6075-ec40-9886-f39d2035a3c4}]
15:05:33     INFO - GECKO(2092) | --DOMWINDOW == 1 (0x10a83aa00) [pid = 2094] [serial = 1] [outer = 0x0] [url = moz-extension://9b81413c-5d32-344c-a15c-d8fb1754cf7b/_generated_background_page.html]
15:05:33     INFO - GECKO(2092) | [Child 2094, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | [Child 2094, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | [Child 2094, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | [Child 2094, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | [Child 2094, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | [Child 2094, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | [Child 2094, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | [Child 2094, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | [Child 2094, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | --DOMWINDOW == 0 (0x11b0e1c00) [pid = 2094] [serial = 3] [outer = 0x0] [url = moz-extension://9b81413c-5d32-344c-a15c-d8fb1754cf7b/_generated_background_page.html]
15:05:33     INFO - GECKO(2092) | nsStringStats
15:05:33     INFO - GECKO(2092) |  => mAllocCount:          11889
15:05:33     INFO - GECKO(2092) |  => mReallocCount:          892
15:05:33     INFO - GECKO(2092) |  => mFreeCount:           11889
15:05:33     INFO - GECKO(2092) |  => mShareCount:           9684
15:05:33     INFO - GECKO(2092) |  => mAdoptCount:            941
15:05:33     INFO - GECKO(2092) |  => mAdoptFreeCount:        947
15:05:33     INFO - GECKO(2092) |  => Process ID: 2094, Thread ID: 140735138976512
15:05:33     INFO - GECKO(2092) | --DOCSHELL 0x126e03000 == 4 [pid = 2092] [id = {2e4d732c-cd93-2345-99a8-8e062e511441}]
15:05:33     INFO - GECKO(2092) | --DOCSHELL 0x114dcf800 == 3 [pid = 2092] [id = {3592593d-e17b-a54a-91a3-0f2c92a54867}]
15:05:33     INFO - GECKO(2092) | --DOCSHELL 0x122126800 == 2 [pid = 2092] [id = {73aa57f1-f325-8049-b17e-938da3141c4c}]
15:05:33     INFO - GECKO(2092) | --DOCSHELL 0x115420000 == 1 [pid = 2092] [id = {4bc32ee9-616a-464b-8dc6-ad0c903b6f20}]
15:05:33     INFO - GECKO(2092) | [Child 2097, Main Thread] WARNING: nsAppShell::Exit() called redundantly: file /builds/worker/workspace/build/src/widget/cocoa/nsAppShell.mm, line 758
15:05:33     INFO - GECKO(2092) | [Child 2097, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 794
15:05:33     INFO - GECKO(2092) | --DOCSHELL 0x125c9a000 == 0 [pid = 2092] [id = {c70edeb7-d946-f24d-b6a5-0f55c5927132}]
15:05:33     INFO - GECKO(2092) | [Child 2096, Main Thread] WARNING: nsAppShell::Exit() called redundantly: file /builds/worker/workspace/build/src/widget/cocoa/nsAppShell.mm, line 758
15:05:33     INFO - GECKO(2092) | [Child 2096, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 794
15:05:33     INFO - GECKO(2092) | [Child 2095, Main Thread] WARNING: nsAppShell::Exit() called redundantly: file /builds/worker/workspace/build/src/widget/cocoa/nsAppShell.mm, line 758
15:05:33     INFO - GECKO(2092) | [Child 2095, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 794
15:05:33     INFO - GECKO(2092) | --DOCSHELL 0x126b2b000 == 0 [pid = 2096] [id = {c7fca497-3038-c346-8d28-e0b37f92a343}]
15:05:33     INFO - GECKO(2092) | nsStringStats
15:05:33     INFO - GECKO(2092) |  => mAllocCount:          43338
15:05:33     INFO - GECKO(2092) |  => mReallocCount:         2139
15:05:33     INFO - GECKO(2092) |  => mFreeCount:           43338
15:05:33     INFO - GECKO(2092) |  => mShareCount:          54920
15:05:33     INFO - GECKO(2092) |  => mAdoptCount:           6821
15:05:33     INFO - GECKO(2092) |  => mAdoptFreeCount:       6931
15:05:33     INFO - GECKO(2092) |  => Process ID: 2097, Thread ID: 140735138976512
15:05:33     INFO - GECKO(2092) | [Child 2093, Main Thread] WARNING: nsAppShell::Exit() called redundantly: file /builds/worker/workspace/build/src/widget/cocoa/nsAppShell.mm, line 758
15:05:33     INFO - GECKO(2092) | ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
15:05:33     INFO - GECKO(2092) | [Child 2093, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 794
15:05:33     INFO - GECKO(2092) | --DOMWINDOW == 1 (0x126881400) [pid = 2096] [serial = 110] [outer = 0x0] [url = about:blank]
15:05:33     INFO - GECKO(2092) | [Child 2096, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | [Child 2096, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | [Child 2096, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | [Child 2096, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | [Child 2096, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | [Child 2096, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | [Child 2096, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | [Child 2096, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | [Child 2096, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:33     INFO - GECKO(2092) | --DOMWINDOW == 0 (0x126b72000) [pid = 2096] [serial = 111] [outer = 0x0] [url = about:blank]
15:05:34     INFO - GECKO(2092) | nsStringStats
15:05:34     INFO - GECKO(2092) |  => mAllocCount:          49983
15:05:34     INFO - GECKO(2092) |  => mReallocCount:         2379
15:05:34     INFO - GECKO(2092) |  => mFreeCount:           49983
15:05:34     INFO - GECKO(2092) |  => mShareCount:          47549
15:05:34     INFO - GECKO(2092) |  => mAdoptCount:           8241
15:05:34     INFO - GECKO(2092) |  => mAdoptFreeCount:       8367
15:05:34     INFO - GECKO(2092) |  => Process ID: 2096, Thread ID: 140735138976512
15:05:34     INFO - GECKO(2092) | [Child 2095, Main Thread] WARNING: NS_ENSURE_TRUE(contentViewer) failed: file /builds/worker/workspace/build/src/toolkit/components/satchel/nsFormFillController.cpp, line 1408
15:05:34     INFO - GECKO(2092) | --DOCSHELL 0x11c515800 == 1 [pid = 2095] [id = {76b9f230-613a-6f4e-8039-d8967f728c55}]
15:05:34     INFO - GECKO(2092) | --DOCSHELL 0x124405800 == 0 [pid = 2095] [id = {0fe51fb8-2999-ff4f-a272-a3e56b15923d}]
15:05:34     INFO - GECKO(2092) | nsStringStats
15:05:34     INFO - GECKO(2092) |  => mAllocCount:         300755
15:05:34     INFO - GECKO(2092) |  => mReallocCount:        12030
15:05:34     INFO - GECKO(2092) |  => mFreeCount:          300755
15:05:34     INFO - GECKO(2092) |  => mShareCount:         431532
15:05:34     INFO - GECKO(2092) |  => mAdoptCount:          46094
15:05:34     INFO - GECKO(2092) |  => mAdoptFreeCount:      47784
15:05:34     INFO - GECKO(2092) |  => Process ID: 2093, Thread ID: 140735138976512
15:05:34     INFO - GECKO(2092) | 1530050734229	Marionette	DEBUG	Received observer notification xpcom-will-shutdown
15:05:34     INFO - GECKO(2092) | 1530050734230	Marionette	INFO	Stopped listening on port 2828
15:05:34     INFO - GECKO(2092) | 1530050734230	Marionette	DEBUG	Remote service is inactive
15:05:34     INFO - GECKO(2092) | --DOMWINDOW == 1 (0x11c586200) [pid = 2095] [serial = 113] [outer = 0x0] [url = about:newtab]
15:05:34     INFO - GECKO(2092) | [Child 2095, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:34     INFO - GECKO(2092) | [Child 2095, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:34     INFO - GECKO(2092) | [Child 2095, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:34     INFO - GECKO(2092) | [Child 2095, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:34     INFO - GECKO(2092) | [Child 2095, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:34     INFO - GECKO(2092) | [Child 2095, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:34     INFO - GECKO(2092) | [Child 2095, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:34     INFO - GECKO(2092) | [Child 2095, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:34     INFO - GECKO(2092) | [Child 2095, Main Thread] WARNING: '!mMainThread', file /builds/worker/workspace/build/src/xpcom/threads/nsThreadManager.cpp, line 517
15:05:34     INFO - GECKO(2092) | --DOMWINDOW == 0 (0x11c6abc00) [pid = 2095] [serial = 115] [outer = 0x0] [url = about:newtab]
15:05:34     INFO - GECKO(2092) | [Parent 2092, Main Thread] WARNING: NS_ENSURE_TRUE(mDB) failed: file /builds/worker/workspace/build/src/netwerk/cache/nsDiskCacheDeviceSQL.cpp, line 1421
15:05:34     INFO - GECKO(2092) | [Parent 2092, Main Thread] WARNING: '!aObserver', file /builds/worker/workspace/build/src/xpcom/ds/nsObserverService.cpp, line 243
15:05:34     INFO - GECKO(2092) | nsStringStats
15:05:34     INFO - GECKO(2092) |  => mAllocCount:             88
15:05:34     INFO - GECKO(2092) |  => mReallocCount:            3
15:05:34     INFO - GECKO(2092) |  => mFreeCount:              88
15:05:34     INFO - GECKO(2092) |  => mShareCount:            222
15:05:34     INFO - GECKO(2092) |  => mAdoptCount:              0
15:05:34     INFO - GECKO(2092) |  => mAdoptFreeCount:          0
15:05:34     INFO - GECKO(2092) |  => Process ID: 2106, Thread ID: 140735138976512
15:05:34     INFO - GECKO(2092) | [Parent 2092, Main Thread] WARNING: nsAppShell::Exit() called redundantly: file /builds/worker/workspace/build/src/widget/cocoa/nsAppShell.mm, line 758
15:05:34     INFO - GECKO(2092) | nsStringStats
15:05:34     INFO - GECKO(2092) |  => mAllocCount:          53170
15:05:34     INFO - GECKO(2092) |  => mReallocCount:         2682
15:05:34     INFO - GECKO(2092) |  => mFreeCount:           53170
15:05:34     INFO - GECKO(2092) |  => mShareCount:          62324
15:05:34     INFO - GECKO(2092) |  => mAdoptCount:           9267
15:05:34     INFO - GECKO(2092) |  => mAdoptFreeCount:       9401
15:05:34     INFO - GECKO(2092) |  => Process ID: 2095, Thread ID: 140735138976512
15:05:34     INFO - GECKO(2092) | [Parent 2092, Main Thread] WARNING: NS_ENSURE_TRUE(maybeContext) failed: file /builds/worker/workspace/build/src/xpcom/threads/nsThread.cpp, line 794
15:05:35     INFO - GECKO(2092) | --DOMWINDOW == 9 (0x114da2c00) [pid = 2092] [serial = 4] [outer = 0x0] [url = about:blank]
15:05:35     INFO - GECKO(2092) | --DOMWINDOW == 8 (0x11917bc00) [pid = 2092] [serial = 2] [outer = 0x0] [url = about:blank]
15:05:35     INFO - GECKO(2092) | --DOMWINDOW == 7 (0x119103a00) [pid = 2092] [serial = 3] [outer = 0x0] [url = chrome://browser/content/browser.xul]
15:05:35     INFO - GECKO(2092) | --DOMWINDOW == 6 (0x1228b0000) [pid = 2092] [serial = 13] [outer = 0x0] [url = chrome://mochikit/content/browser-harness.xul]
15:05:35     INFO - GECKO(2092) | --DOMWINDOW == 5 (0x128fb7000) [pid = 2092] [serial = 14] [outer = 0x0] [url = about:blank]
15:05:35     INFO - GECKO(2092) | --DOMWINDOW == 4 (0x123ef6600) [pid = 2092] [serial = 9] [outer = 0x0] [url = chrome://extensions/content/dummy.xul]
15:05:35     INFO - GECKO(2092) | --DOMWINDOW == 3 (0x126306400) [pid = 2092] [serial = 12] [outer = 0x0] [url = chrome://extensions/content/dummy.xul]
15:05:35     INFO - GECKO(2092) | --DOMWINDOW == 2 (0x10265e600) [pid = 2092] [serial = 1] [outer = 0x0] [url = chrome://browser/content/hiddenWindow.xul]
15:05:35     INFO - GECKO(2092) | --DOMWINDOW == 1 (0x121ec4c00) [pid = 2092] [serial = 5] [outer = 0x0] [url = about:blank]
15:05:35     INFO - GECKO(2092) | --DOMWINDOW == 0 (0x10e13d000) [pid = 2092] [serial = 140] [outer = 0x0] [url = about:blank]
15:05:35     INFO - GECKO(2092) | nsStringStats
15:05:35     INFO - GECKO(2092) |  => mAllocCount:         628056
15:05:35     INFO - GECKO(2092) |  => mReallocCount:        75281
15:05:35     INFO - GECKO(2092) |  => mFreeCount:          628056
15:05:35     INFO - GECKO(2092) |  => mShareCount:         702146
15:05:35     INFO - GECKO(2092) |  => mAdoptCount:          12703
15:05:35     INFO - GECKO(2092) |  => mAdoptFreeCount:      14865
15:05:35     INFO - GECKO(2092) |  => Process ID: 2092, Thread ID: 140735138976512
15:05:35     INFO - TEST-INFO | Main app process: exit 0
15:05:35    ERROR - TEST-UNEXPECTED-FAIL | browser/components/originattributes/test/browser/browser_firstPartyIsolation.js | leaked 1 docShell(s) until shutdown
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
47 failures in 148 pushes (0.318 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* mozilla-inbound: 19
* autoland: 19
* try: 6
* mozilla-central: 3

Platform breakdown:
* osx-10-10: 21
* windows10-64: 18
* linux64: 5
* linux32: 3

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1345346&startday=2018-06-27&endday=2018-06-27&tree=trunk
There are 54 failures, in the last 2 days.
This bug was in the "resolved incomplete" state from 6 months ago. Did some retriggers and backfill and it seems that the push that started this is:
https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&filter-searchStr=debug-mochitest-browser-chrome-e10s&fromchange=fae4bcc8883f22dc6410153cead403585c7d46e1&tochange=d0354475453fa31cbe93f7eb447e1f9a5ef5880f&selectedJob=185011002

Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=185011002&repo=mozilla-inbound&lineNumber=17069
Flags: needinfo?(jmaher)
Whiteboard: [domsecurity-intermittent] → [domsecurity-intermittent][retriggered]
looking at this- while that looks to be the first push, having 1 failure in 6 doesn't give a high confidence that the 6 data points previously just didn't hit it.  I did 10 more retriggers on a few of those revisions and we will see what the results look like in a while.
Flags: needinfo?(jmaher)
and the original assessment is correct, thanks Eliza.

it is this push:
https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&revision=bab121b4dd84f9715e6a9efa652556a91ea60a3c&filter-searchStr=debug-mochitest-browser-chrome-e10s

either bug 1469719, bug 1470965, or bug 1470023.

:kmag, I see you authored these patches, can you work on fixing this intermittent?
Flags: needinfo?(kmaglione+bmo)
40 failures in 125 pushes (0.32 failures/push) were associated with this bug yesterday.    

Repository breakdown:
* mozilla-inbound: 18
* autoland: 15
* try: 4
* mozilla-central: 3

Platform breakdown:
* osx-10-10: 23
* windows10-64: 9
* linux64: 5
* windows7-32: 2
* linux32: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1345346&startday=2018-06-28&endday=2018-06-28&tree=trunk
I'm looking into this
Assignee: nobody → kmaglione+bmo
Flags: needinfo?(kmaglione+bmo)
56 failures in 120 pushes (0.467 failures/push) were associated with this bug yesterday.    

** This test has failed more than 150 times in the last 21 days. It should be disabled until it can be fixed. ** 

Repository breakdown:
* autoland: 27
* mozilla-inbound: 15
* mozilla-central: 8
* try: 6

Platform breakdown:
* osx-10-10: 29
* windows10-64: 11
* linux64: 8
* windows7-32: 3
* windows10-64-ccov: 2
* linux32: 2
* linux64-ccov: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1345346&startday=2018-06-29&endday=2018-06-29&tree=trunk
Whiteboard: [domsecurity-intermittent][retriggered] → [domsecurity-intermittent][retriggered][stockwell disable-recommended]
160 failures in 718 pushes (0.223 failures/push) were associated with this bug in the last 7 days. 

This is the #3 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **   

Repository breakdown:
* autoland: 66
* mozilla-inbound: 57
* try: 20
* mozilla-central: 17

Platform breakdown:
* osx-10-10: 82
* windows10-64: 39
* linux64: 19
* linux32: 9
* windows7-32: 8
* windows10-64-ccov: 2
* linux64-ccov: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1345346&startday=2018-06-25&endday=2018-07-01&tree=trunk
:kmag Did you get the chance to look into this, or should we create a patch to disable the test?
Flags: needinfo?(kmaglione+bmo)
Created attachment 8990187 [details] [diff] [review]
Disabled on debug all platforms

Created a disable patch if needed. jmaher: could you please take a look?
Attachment #8990187 - Flags: review?(jmaher)
Please only disable the window_open_iframe_test task. That's the one that triggers the leak.
Flags: needinfo?(kmaglione+bmo)
Attachment #8990187 - Flags: review?(jmaher) → review+
:kmag, we only have the resolution to disable a test case- this is only on debug that we are doing this.  This test is disabled on verify mode, it is easy to turn back on when there is a fix for the test (and hopefully the fix makes the test pass in verify mode as well).
Keywords: checkin-needed, leave-open
Whiteboard: [domsecurity-intermittent][retriggered][stockwell disable-recommended] → [domsecurity-intermittent][retriggered][stockwell disabled]

Comment 32

4 months ago
Pushed by rgurzau@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/4a8fd9612261
Disabled  browser/components/originattributes/test/browser/browser_firstPartyIsolation.js for frequent failures. r=jmaher
Keywords: checkin-needed
35 failures in 622 pushes (0.056 failures/push) were associated with this bug in the last 7 days. 

This is the #34 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 20
* mozilla-inbound: 10
* try: 3
* mozilla-central: 2

Platform breakdown:
* osx-10-10: 27
* linux32: 5
* linux64: 2
* windows7-32: 1

For more details, see:
https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1345346&startday=2018-07-02&endday=2018-07-08&tree=trunk
Sorry, someone else is going to have to take this. I'm not going to have time.

I've pretty much confirmed that this wasn't triggered by my changes. It was happening before, and the fact that it only started happening more often after those patches seems to just be a timing fluke. The PluginContent.jsm and LoginManagerContent.jsm modules don't actually get loaded during these tests, in the failure cases or the non-failure cases, and the changes in the non-load case are pretty trivial.

For whoever decides to take this up, the few times I was able to produce this locally, I confirmed that the leaked docshell is always created in the window_open_iframe_test task. It might be enough to just stop that task from touching the docShell property.
Assignee: kmaglione+bmo → nobody
You need to log in before you can comment on or make changes to this bug.